Page MenuHomePhabricator

Schema changes to site_stats
Closed, ResolvedPublic

Description

This is the deployment task for https://gerrit.wikimedia.org/r/c/352646/.

The ALTER TABLEs to run: https://gerrit.wikimedia.org/r/c/352646/24/maintenance/archives/patch-site_stats-modify.sql
Where to run those changes: all.dblist
When to run those changes: Whenever there's time
If the schema change is backwards compatible: compatible wit all deployed versions
If the schema change has been tested already on some of the test/beta wikis: No
If it involves new columns or tables [...]: It doesn't.

Progress:

  • s1
  • s2
  • s3
  • s4
  • s5
  • s6
  • s7
  • s8
  • labswiki
  • labtestwiki

Event Timeline

EddieGP created this task.Mar 27 2018, 7:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2018, 7:44 AM

@jcrespo You asked to create a deployment task on merge, please tell me if you need any more info from me! :-)

EddieGP updated the task description. (Show Details)Mar 27 2018, 9:17 PM

If the schema change has been tested already on some of the test/beta wikis: No

In the next db update after the merge on beta it says 00:23:48 Modifying table site_stats ...done. Another run later there's 01:22:54 ...table site_stats already modified by patch patch-site_stats-modify.sql.

So I guess it has been applied to the beta cluster, but I'm lacking access to actually connect to betas dbs and verify that.

jcrespo moved this task from Triage to Blocked external/Not db team on the DBA board.EditedMar 28 2018, 7:36 AM

@EddieGP Contact someone with access so it can be verified, and also check things are working smoothly there (checking it is working as intended should be trivial). When that is done, I will add the tags Blocked-on-schema-change and schedule its deploy to production.

Most developers and deployers should have access, and you should ask for access too (but that should be handled separately from this deployment).

I can now verify it was applied to beta. Creating pages and editing them still increases the counters on Special:Statistics like it should. There's not much else I can think of that could be tested in beta.

1----- aawiki -----
2Field Type Null Key Default Extra
3ss_row_id int(10) unsigned NO PRI NULL
4ss_total_edits bigint(20) unsigned YES NULL
5ss_good_articles bigint(20) unsigned YES NULL
6ss_total_pages bigint(20) unsigned YES NULL
7ss_users bigint(20) unsigned YES NULL
8ss_active_users bigint(20) unsigned YES NULL
9ss_images bigint(20) unsigned YES NULL
10
11----- arwiki -----
12Field Type Null Key Default Extra
13ss_row_id int(10) unsigned NO PRI NULL
14ss_total_edits bigint(20) unsigned YES NULL
15ss_good_articles bigint(20) unsigned YES NULL
16ss_total_pages bigint(20) unsigned YES NULL
17ss_users bigint(20) unsigned YES NULL
18ss_active_users bigint(20) unsigned YES NULL
19ss_images bigint(20) unsigned YES NULL
20
21----- cawiki -----
22Field Type Null Key Default Extra
23ss_row_id int(10) unsigned NO PRI NULL
24ss_total_edits bigint(20) unsigned YES NULL
25ss_good_articles bigint(20) unsigned YES NULL
26ss_total_pages bigint(20) unsigned YES NULL
27ss_users bigint(20) unsigned YES NULL
28ss_active_users bigint(20) unsigned YES NULL
29ss_images bigint(20) unsigned YES NULL
30
31----- commonswiki -----
32Field Type Null Key Default Extra
33ss_row_id int(10) unsigned NO PRI NULL
34ss_total_edits bigint(20) unsigned YES NULL
35ss_good_articles bigint(20) unsigned YES NULL
36ss_total_pages bigint(20) unsigned YES NULL
37ss_users bigint(20) unsigned YES NULL
38ss_active_users bigint(20) unsigned YES NULL
39ss_images bigint(20) unsigned YES NULL
40
41----- deploymentwiki -----
42Field Type Null Key Default Extra
43ss_row_id int(10) unsigned NO PRI NULL
44ss_total_edits bigint(20) unsigned YES NULL
45ss_good_articles bigint(20) unsigned YES NULL
46ss_total_pages bigint(20) unsigned YES NULL
47ss_users bigint(20) unsigned YES NULL
48ss_active_users bigint(20) unsigned YES NULL
49ss_images bigint(20) unsigned YES NULL
50
51----- dewiki -----
52Field Type Null Key Default Extra
53ss_row_id int(10) unsigned NO PRI NULL
54ss_total_edits bigint(20) unsigned YES NULL
55ss_good_articles bigint(20) unsigned YES NULL
56ss_total_pages bigint(20) unsigned YES NULL
57ss_users bigint(20) unsigned YES NULL
58ss_active_users bigint(20) unsigned YES NULL
59ss_images bigint(20) unsigned YES NULL
60
61----- dewiktionary -----
62Field Type Null Key Default Extra
63ss_row_id int(10) unsigned NO PRI NULL
64ss_total_edits bigint(20) unsigned YES NULL
65ss_good_articles bigint(20) unsigned YES NULL
66ss_total_pages bigint(20) unsigned YES NULL
67ss_users bigint(20) unsigned YES NULL
68ss_active_users bigint(20) unsigned YES NULL
69ss_images bigint(20) unsigned YES NULL
70
71----- en_rtlwiki -----
72Field Type Null Key Default Extra
73ss_row_id int(10) unsigned NO PRI NULL
74ss_total_edits bigint(20) unsigned YES NULL
75ss_good_articles bigint(20) unsigned YES NULL
76ss_total_pages bigint(20) unsigned YES NULL
77ss_users bigint(20) unsigned YES NULL
78ss_active_users bigint(20) unsigned YES NULL
79ss_images bigint(20) unsigned YES NULL
80
81----- enwiki -----
82Field Type Null Key Default Extra
83ss_row_id int(10) unsigned NO PRI NULL
84ss_total_edits bigint(20) unsigned YES NULL
85ss_good_articles bigint(20) unsigned YES NULL
86ss_total_pages bigint(20) unsigned YES NULL
87ss_users bigint(20) unsigned YES NULL
88ss_active_users bigint(20) unsigned YES NULL
89ss_images bigint(20) unsigned YES NULL
90
91----- enwikibooks -----
92Field Type Null Key Default Extra
93ss_row_id int(10) unsigned NO PRI NULL
94ss_total_edits bigint(20) unsigned YES NULL
95ss_good_articles bigint(20) unsigned YES NULL
96ss_total_pages bigint(20) unsigned YES NULL
97ss_users bigint(20) unsigned YES NULL
98ss_active_users bigint(20) unsigned YES NULL
99ss_images bigint(20) unsigned YES NULL
100
101----- enwikinews -----
102Field Type Null Key Default Extra
103ss_row_id int(10) unsigned NO PRI NULL
104ss_total_edits bigint(20) unsigned YES NULL
105ss_good_articles bigint(20) unsigned YES NULL
106ss_total_pages bigint(20) unsigned YES NULL
107ss_users bigint(20) unsigned YES NULL
108ss_active_users bigint(20) unsigned YES NULL
109ss_images bigint(20) unsigned YES NULL
110
111----- enwikiquote -----
112Field Type Null Key Default Extra
113ss_row_id int(10) unsigned NO PRI NULL
114ss_total_edits bigint(20) unsigned YES NULL
115ss_good_articles bigint(20) unsigned YES NULL
116ss_total_pages bigint(20) unsigned YES NULL
117ss_users bigint(20) unsigned YES NULL
118ss_active_users bigint(20) unsigned YES NULL
119ss_images bigint(20) unsigned YES NULL
120
121----- enwikisource -----
122Field Type Null Key Default Extra
123ss_row_id int(10) unsigned NO PRI NULL
124ss_total_edits bigint(20) unsigned YES NULL
125ss_good_articles bigint(20) unsigned YES NULL
126ss_total_pages bigint(20) unsigned YES NULL
127ss_users bigint(20) unsigned YES NULL
128ss_active_users bigint(20) unsigned YES NULL
129ss_images bigint(20) unsigned YES NULL
130
131----- enwikiversity -----
132Field Type Null Key Default Extra
133ss_row_id int(10) unsigned NO PRI NULL
134ss_total_edits bigint(20) unsigned YES NULL
135ss_good_articles bigint(20) unsigned YES NULL
136ss_total_pages bigint(20) unsigned YES NULL
137ss_users bigint(20) unsigned YES NULL
138ss_active_users bigint(20) unsigned YES NULL
139ss_images bigint(20) unsigned YES NULL
140
141----- enwikivoyage -----
142Field Type Null Key Default Extra
143ss_row_id int(10) unsigned NO PRI NULL
144ss_total_edits bigint(20) unsigned YES NULL
145ss_good_articles bigint(20) unsigned YES NULL
146ss_total_pages bigint(20) unsigned YES NULL
147ss_users bigint(20) unsigned YES NULL
148ss_active_users bigint(20) unsigned YES NULL
149ss_images bigint(20) unsigned YES NULL
150
151----- enwiktionary -----
152Field Type Null Key Default Extra
153ss_row_id int(10) unsigned NO PRI NULL
154ss_total_edits bigint(20) unsigned YES NULL
155ss_good_articles bigint(20) unsigned YES NULL
156ss_total_pages bigint(20) unsigned YES NULL
157ss_users bigint(20) unsigned YES NULL
158ss_active_users bigint(20) unsigned YES NULL
159ss_images bigint(20) unsigned YES NULL
160
161----- eowiki -----
162Field Type Null Key Default Extra
163ss_row_id int(10) unsigned NO PRI NULL
164ss_total_edits bigint(20) unsigned YES NULL
165ss_good_articles bigint(20) unsigned YES NULL
166ss_total_pages bigint(20) unsigned YES NULL
167ss_users bigint(20) unsigned YES NULL
168ss_active_users bigint(20) unsigned YES NULL
169ss_images bigint(20) unsigned YES NULL
170
171----- eswiki -----
172Field Type Null Key Default Extra
173ss_row_id int(10) unsigned NO PRI NULL
174ss_total_edits bigint(20) unsigned YES NULL
175ss_good_articles bigint(20) unsigned YES NULL
176ss_total_pages bigint(20) unsigned YES NULL
177ss_users bigint(20) unsigned YES NULL
178ss_active_users bigint(20) unsigned YES NULL
179ss_images bigint(20) unsigned YES NULL
180
181----- eswikibooks -----
182Field Type Null Key Default Extra
183ss_row_id int(10) unsigned NO PRI NULL
184ss_total_edits bigint(20) unsigned YES NULL
185ss_good_articles bigint(20) unsigned YES NULL
186ss_total_pages bigint(20) unsigned YES NULL
187ss_users bigint(20) unsigned YES NULL
188ss_active_users bigint(20) unsigned YES NULL
189ss_images bigint(20) unsigned YES NULL
190
191----- fawiki -----
192Field Type Null Key Default Extra
193ss_row_id int(10) unsigned NO PRI NULL
194ss_total_edits bigint(20) unsigned YES NULL
195ss_good_articles bigint(20) unsigned YES NULL
196ss_total_pages bigint(20) unsigned YES NULL
197ss_users bigint(20) unsigned YES NULL
198ss_active_users bigint(20) unsigned YES NULL
199ss_images bigint(20) unsigned YES NULL
200
201----- hewiki -----
202Field Type Null Key Default Extra
203ss_row_id int(10) unsigned NO PRI NULL
204ss_total_edits bigint(20) unsigned YES NULL
205ss_good_articles bigint(20) unsigned YES NULL
206ss_total_pages bigint(20) unsigned YES NULL
207ss_users bigint(20) unsigned YES NULL
208ss_active_users bigint(20) unsigned YES NULL
209ss_images bigint(20) unsigned YES NULL
210
211----- hewiktionary -----
212Field Type Null Key Default Extra
213ss_row_id int(10) unsigned NO PRI NULL
214ss_total_edits bigint(20) unsigned YES NULL
215ss_good_articles bigint(20) unsigned YES NULL
216ss_total_pages bigint(20) unsigned YES NULL
217ss_users bigint(20) unsigned YES NULL
218ss_active_users bigint(20) unsigned YES NULL
219ss_images bigint(20) unsigned YES NULL
220
221----- hiwiki -----
222Field Type Null Key Default Extra
223ss_row_id int(10) unsigned NO PRI NULL
224ss_total_edits bigint(20) unsigned YES NULL
225ss_good_articles bigint(20) unsigned YES NULL
226ss_total_pages bigint(20) unsigned YES NULL
227ss_users bigint(20) unsigned YES NULL
228ss_active_users bigint(20) unsigned YES NULL
229ss_images bigint(20) unsigned YES NULL
230
231----- jawiki -----
232Field Type Null Key Default Extra
233ss_row_id int(10) unsigned NO PRI NULL
234ss_total_edits bigint(20) unsigned YES NULL
235ss_good_articles bigint(20) unsigned YES NULL
236ss_total_pages bigint(20) unsigned YES NULL
237ss_users bigint(20) unsigned YES NULL
238ss_active_users bigint(20) unsigned YES NULL
239ss_images bigint(20) unsigned YES NULL
240
241----- kowiki -----
242Field Type Null Key Default Extra
243ss_row_id int(10) unsigned NO PRI NULL
244ss_total_edits bigint(20) unsigned YES NULL
245ss_good_articles bigint(20) unsigned YES NULL
246ss_total_pages bigint(20) unsigned YES NULL
247ss_users bigint(20) unsigned YES NULL
248ss_active_users bigint(20) unsigned YES NULL
249ss_images bigint(20) unsigned YES NULL
250
251----- loginwiki -----
252Field Type Null Key Default Extra
253ss_row_id int(10) unsigned NO PRI NULL
254ss_total_edits bigint(20) unsigned YES NULL
255ss_good_articles bigint(20) unsigned YES NULL
256ss_total_pages bigint(20) unsigned YES NULL
257ss_users bigint(20) unsigned YES NULL
258ss_active_users bigint(20) unsigned YES NULL
259ss_images bigint(20) unsigned YES NULL
260
261----- metawiki -----
262Field Type Null Key Default Extra
263ss_row_id int(10) unsigned NO PRI NULL
264ss_total_edits bigint(20) unsigned YES NULL
265ss_good_articles bigint(20) unsigned YES NULL
266ss_total_pages bigint(20) unsigned YES NULL
267ss_users bigint(20) unsigned YES NULL
268ss_active_users bigint(20) unsigned YES NULL
269ss_images bigint(20) unsigned YES NULL
270
271----- nlwiki -----
272Field Type Null Key Default Extra
273ss_row_id int(10) unsigned NO PRI NULL
274ss_total_edits bigint(20) unsigned YES NULL
275ss_good_articles bigint(20) unsigned YES NULL
276ss_total_pages bigint(20) unsigned YES NULL
277ss_users bigint(20) unsigned YES NULL
278ss_active_users bigint(20) unsigned YES NULL
279ss_images bigint(20) unsigned YES NULL
280
281----- ruwiki -----
282Field Type Null Key Default Extra
283ss_row_id int(10) unsigned NO PRI NULL
284ss_total_edits bigint(20) unsigned YES NULL
285ss_good_articles bigint(20) unsigned YES NULL
286ss_total_pages bigint(20) unsigned YES NULL
287ss_users bigint(20) unsigned YES NULL
288ss_active_users bigint(20) unsigned YES NULL
289ss_images bigint(20) unsigned YES NULL
290
291----- simplewiki -----
292Field Type Null Key Default Extra
293ss_row_id int(10) unsigned NO PRI NULL
294ss_total_edits bigint(20) unsigned YES NULL
295ss_good_articles bigint(20) unsigned YES NULL
296ss_total_pages bigint(20) unsigned YES NULL
297ss_users bigint(20) unsigned YES NULL
298ss_active_users bigint(20) unsigned YES NULL
299ss_images bigint(20) unsigned YES NULL
300
301----- sqwiki -----
302Field Type Null Key Default Extra
303ss_row_id int(10) unsigned NO PRI NULL
304ss_total_edits bigint(20) unsigned YES NULL
305ss_good_articles bigint(20) unsigned YES NULL
306ss_total_pages bigint(20) unsigned YES NULL
307ss_users bigint(20) unsigned YES NULL
308ss_active_users bigint(20) unsigned YES NULL
309ss_images bigint(20) unsigned YES NULL
310
311----- svwiki -----
312Field Type Null Key Default Extra
313ss_row_id int(10) unsigned NO PRI NULL
314ss_total_edits bigint(20) unsigned YES NULL
315ss_good_articles bigint(20) unsigned YES NULL
316ss_total_pages bigint(20) unsigned YES NULL
317ss_users bigint(20) unsigned YES NULL
318ss_active_users bigint(20) unsigned YES NULL
319ss_images bigint(20) unsigned YES NULL
320
321----- testwiki -----
322Field Type Null Key Default Extra
323ss_row_id int(10) unsigned NO PRI NULL
324ss_total_edits bigint(20) unsigned YES NULL
325ss_good_articles bigint(20) unsigned YES NULL
326ss_total_pages bigint(20) unsigned YES NULL
327ss_users bigint(20) unsigned YES NULL
328ss_active_users bigint(20) unsigned YES NULL
329ss_images bigint(20) unsigned YES NULL
330
331----- ukwiki -----
332Field Type Null Key Default Extra
333ss_row_id int(10) unsigned NO PRI NULL
334ss_total_edits bigint(20) unsigned YES NULL
335ss_good_articles bigint(20) unsigned YES NULL
336ss_total_pages bigint(20) unsigned YES NULL
337ss_users bigint(20) unsigned YES NULL
338ss_active_users bigint(20) unsigned YES NULL
339ss_images bigint(20) unsigned YES NULL
340
341----- wikidatawiki -----
342Field Type Null Key Default Extra
343ss_row_id int(10) unsigned NO PRI NULL
344ss_total_edits bigint(20) unsigned YES NULL
345ss_good_articles bigint(20) unsigned YES NULL
346ss_total_pages bigint(20) unsigned YES NULL
347ss_users bigint(20) unsigned YES NULL
348ss_active_users bigint(20) unsigned YES NULL
349ss_images bigint(20) unsigned YES NULL
350
351----- zerowiki -----
352Field Type Null Key Default Extra
353ss_row_id int(10) unsigned NO PRI NULL
354ss_total_edits bigint(20) unsigned YES NULL
355ss_good_articles bigint(20) unsigned YES NULL
356ss_total_pages bigint(20) unsigned YES NULL
357ss_users bigint(20) unsigned YES NULL
358ss_active_users bigint(20) unsigned YES NULL
359ss_images bigint(20) unsigned YES NULL
360
361----- zhwiki -----
362Field Type Null Key Default Extra
363ss_row_id int(10) unsigned NO PRI NULL
364ss_total_edits bigint(20) unsigned YES NULL
365ss_good_articles bigint(20) unsigned YES NULL
366ss_total_pages bigint(20) unsigned YES NULL
367ss_users bigint(20) unsigned YES NULL
368ss_active_users bigint(20) unsigned YES NULL
369ss_images bigint(20) unsigned YES NULL

When that is done, I will add the tags Blocked-on-schema-change and schedule its deploy to production.

This change is just a cleanup, it does not block any code or further development. I didn't add that tag, because of the description of Blocked-on-schema-change:

If there is a schema change but it is a "cleanup" (e.g. a column that is stopped being used but it is not blocking code), just use the DBA tag to avoid prioritizing those over actual blockers.

jcrespo triaged this task as Low priority.Apr 4 2018, 10:34 AM
jcrespo edited projects, added Blocked-on-schema-change; removed Schema-change.
jcrespo moved this task from Blocked external/Not db team to Next on the DBA board.

"it does not block any code or further development"

It is ok, we can still say it is blocked and give it a lower priority, this is just a list of pending stuff for us to attend. It is however important because there is a difference between code HEAD and production deployment, and that should be minimized.

Just for the record, this table has less than 5 rows in all the wikis.

Yes, we could do this on the masters even with a table reconstruction- but we should check if a table reconstruction is needed only for a definition change.

Just for the record, this table has less than 5 rows in all the wikis.

For each and every wiki, this table is expected to contain exactly one row (the one with ss_row_id = 1). If you happen to notice any tables having more or less than one row, please file a task/tasks for them. Thanks.

Yes, we could do this on the masters even with a table reconstruction- but we should check if a table reconstruction is needed only for a definition change.

Looks like it does need a full table rebuild

MariaDB [test]> ALTER TABLE  site_stats ALTER ss_total_edits SET DEFAULT NULL, ALTER ss_good_articles SET DEFAULT NULL, MODIFY COLUMN ss_total_pages bigint unsigned DEFAULT NULL, MODIFY COLUMN ss_users bigint unsigned DEFAULT NULL, MODIFY COLUMN ss_active_users bigint unsigned DEFAULT NULL, MODIFY COLUMN ss_images bigint unsigned DEFAULT NULL, ALGORITHM=INPLACE;
ERROR 1846 (0A000): ALGORITHM=INPLACE is not supported. Reason: Cannot change column type INPLACE. Try ALGORITHM=COPY.

It should not be a big deal as the table is just tiny.

The only concern about doing it directly on the master could be the fact that this table is being updated almost every second.

The only concern about doing it directly on the master could be the fact that this table is being updated almost every second.

If your worry is about losing some of those updates, you can run foreachwiki initSiteStats.php --update on terbium to have this table repopulated for all wikis after the schema change. If these statistics are off a bit while the schema change happens that's fine. It's not like they're 100% accurate anyways. In fact we saw them being inaccurate due do different bugs so often and the maintenance script works well enough performance-wise that we're going to run that exact command in a cron in the near future (https://gerrit.wikimedia.org/r/c/415066) .

jcrespo added a comment.EditedApr 11 2018, 11:15 AM

@EddieGP No queries will be lost, but if they pileup blocking the wiki's activity, it will be a worse issue (actual outage or edit outage).

Alright, ignore me then. :-)

Mentioned in SAL (#wikimedia-operations) [2018-04-12T05:34:22Z] <marostegui> Deploy schema change on s5 primary master (db1070) - T190780

I have tried this on dewiki directly on the master with no issues.
I also used: SET SESSION innodb_lock_wait_timeout=1; SET SESSION lock_wait_timeout=15;

Will do the same with s6, as that one is also a not very loaded set of wikis.

Mentioned in SAL (#wikimedia-operations) [2018-04-12T05:39:09Z] <marostegui> Deploy schema change on s6 primary master (db1061) - T190780

Mentioned in SAL (#wikimedia-operations) [2018-04-12T05:45:45Z] <marostegui> Deploy schema change on s4 primary master (db1068) - T190780

I also did it on commons, which has a lot more load than s5 or s6, and there were no issues there as well.

Mentioned in SAL (#wikimedia-operations) [2018-04-12T05:49:31Z] <marostegui> Deploy schema change on s8 primary master (db1071) - T190780

Mentioned in SAL (#wikimedia-operations) [2018-04-12T05:52:26Z] <marostegui> Deploy schema change on s2 primary master (db1054) - T190780

Mentioned in SAL (#wikimedia-operations) [2018-04-12T06:11:35Z] <marostegui> Deploy schema change on s7 primary master (db1062) - T190780

Mentioned in SAL (#wikimedia-operations) [2018-04-12T06:24:16Z] <marostegui> Deploy schema change on s1 primary master (db1052) - T190780

enwiki has been altered directly on the master without any issues.

For s3, I will alter codfw on the master and eqiad I will do slave by slave (there are just 3 of them + dbstore1002), because there will be contention issues there as we have seen those before

Mentioned in SAL (#wikimedia-operations) [2018-04-12T06:27:46Z] <marostegui> Deploy schema change on s3 codfw master (db2043) - this will generate lag on s3 codfw -T190780

Change 425749 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1072

https://gerrit.wikimedia.org/r/425749

Change 425749 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1072

https://gerrit.wikimedia.org/r/425749

Mentioned in SAL (#wikimedia-operations) [2018-04-12T06:36:17Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1072 for alter table - T190780 (duration: 01m 18s)

Mentioned in SAL (#wikimedia-operations) [2018-04-12T06:42:12Z] <marostegui> Deploy schema change on db1072 (sanitarium master for s3) - this will generate lag on s3 labsdb - T190780

Mentioned in SAL (#wikimedia-operations) [2018-04-12T06:48:07Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1072 after alter table - T190780 (duration: 01m 16s)

Change 425752 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/425752

Change 425752 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/425752

Mentioned in SAL (#wikimedia-operations) [2018-04-12T06:53:08Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1077 for alter table - T190780 (duration: 01m 17s)

Mentioned in SAL (#wikimedia-operations) [2018-04-12T06:57:30Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1077 after alter table - T190780 (duration: 01m 17s)

Change 425754 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/425754

Change 425754 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/425754

Mentioned in SAL (#wikimedia-operations) [2018-04-12T07:11:56Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Depool db1078 for alter table - T190780 (duration: 01m 17s)

Mentioned in SAL (#wikimedia-operations) [2018-04-12T07:17:56Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Repool db1078 after alter table - T190780 (duration: 01m 16s)

Marostegui closed this task as Resolved.Apr 12 2018, 7:19 AM
Marostegui claimed this task.
Marostegui updated the task description. (Show Details)

This is all done!
One less drift between HEAD and production!
Thanks! :)

No issue or locking or strangeness of any kind on any server?

None of those :)